Get IDs
Get platform URLs/ISNI associated with a specific artist.
Available platforms are listed in the Get platforms endpoint.
You can get the IDs of all platforms at once, or filter by platform to get the IDs of a specific platform.
Request
GET
/api/v2/artist/{uuid}/identifiers
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| platform | string | A platform code | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
| onlyDefault | boolean | Get only default identifier by platform | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An Identifier collection response |
Artist Identifier Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist not found |